curl --request GET \
--url https://api.aisa.one/apis/v1/coingecko/coins/{id}/contract/{contract_address} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/coingecko/coins/{id}/contract/{contract_address}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/coingecko/coins/{id}/contract/{contract_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "weth",
"symbol": "weth",
"name": "WETH",
"web_slug": "weth",
"asset_platform_id": "ethereum",
"platforms": {
"ethereum": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"terra-2": "ibc/BC8A77AFBD872FDC32A348D3FB10CC09277C266CFE52081DE341C7EC6752E674",
"tron": "THb4CqiFdwNHsWsQCs4JhzwjMWys4aqCbF"
},
"detail_platforms": {
"ethereum": {
"decimal_place": 18,
"contract_address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"geckoterminal_url": "https://www.geckoterminal.com/eth/tokens/0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"
},
"terra-2": {
"decimal_place": 18,
"contract_address": "ibc/BC8A77AFBD872FDC32A348D3FB10CC09277C266CFE52081DE341C7EC6752E674"
},
"tron": {
"decimal_place": 18,
"contract_address": "THb4CqiFdwNHsWsQCs4JhzwjMWys4aqCbF",
"geckoterminal_url": "https://www.geckoterminal.com/tron/tokens/THb4CqiFdwNHsWsQCs4JhzwjMWys4aqCbF"
}
},
"block_time_in_minutes": 0,
"hashing_algorithm": null,
"categories": [
"Crypto-Backed Tokens",
"Wrapped-Tokens",
"Terra Ecosystem",
"Ethereum Ecosystem",
"FTX Holdings",
"Tron Ecosystem",
"Index Coop Defi Index"
],
"preview_listing": false,
"public_notice": null,
"additional_notices": [],
"has_supply_breakdown": false,
"localization": {
"en": "WETH",
"de": "",
"es": "",
"fr": "",
"it": "",
"pl": "",
"ro": "",
"hu": "",
"nl": "",
"pt": ""
},
"description": {
"en": "What is WETH (Wrapped ETH)?\nWETH is the tokenized/packaged form of ETH..."
},
"links": {
"homepage": [
"https://ethereum.org/en/wrapped-eth"
],
"whitepaper": "",
"blockchain_site": [
"https://etherscan.io/token/0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"https://intel.arkm.com/explorer/token/weth"
],
"official_forum_url": [],
"chat_url": [],
"announcement_url": [],
"snapshot_url": null,
"twitter_screen_name": "",
"facebook_username": "",
"bitcointalk_thread_identifier": null,
"telegram_channel_identifier": "",
"subreddit_url": null,
"repos_url": {
"github": [],
"bitbucket": []
}
},
"image": {
"thumb": "https://coin-images.coingecko.com/coins/images/2518/thumb/weth.png?1696503332",
"small": "https://coin-images.coingecko.com/coins/images/2518/small/weth.png?1696503332",
"large": "https://coin-images.coingecko.com/coins/images/2518/large/weth.png?1696503332"
},
"country_origin": "",
"genesis_date": "2016-06-17",
"contract_address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"sentiment_votes_up_percentage": null,
"sentiment_votes_down_percentage": null,
"watchlist_portfolio_users": 34782,
"market_cap_rank": null,
"market_cap_rank_with_rehypothecated": 30,
"market_data": {
"current_price": {
"btc": 0.02728343,
"eth": 0.99972363,
"usd": 2115.04
},
"total_value_locked": null,
"mcap_to_tvl_ratio": null,
"fdv_to_tvl_ratio": null,
"roi": null,
"ath": {
"btc": 0.14280504,
"eth": 3.614831,
"usd": 4950.08
},
"ath_change_percentage": {
"btc": -80.89678,
"eth": -72.33124,
"usd": -57.2622
},
"ath_date": {
"btc": "2018-09-02T00:00:00.000Z",
"eth": "2018-09-13T00:00:00.000Z",
"usd": "2025-08-24T19:28:11.411Z"
},
"atl": {
"btc": 0.00890197,
"eth": 0.22395179,
"usd": 82.1
},
"atl_change_percentage": {
"btc": 206.45314,
"eth": 346.6045,
"usd": 2476.69436
},
"atl_date": {
"btc": "2025-09-02T07:56:48.935Z",
"eth": "2025-09-02T07:56:48.935Z",
"usd": "2018-12-15T00:00:00.000Z"
},
"market_cap": {
"btc": 61868,
"eth": 2267403,
"usd": 4793905266
},
"market_cap_rank": null,
"outstanding_token_value_usd": null,
"market_cap_rank_with_rehypothecated": 30,
"fully_diluted_valuation": {
"btc": 61868,
"eth": 2267403,
"usd": 4793905266
},
"market_cap_fdv_ratio": 1,
"total_volume": {
"btc": 107.294,
"eth": 3931,
"usd": 8317546
},
"high_24h": {
"btc": 0.02756131,
"eth": 1.00272,
"usd": 2125.08
},
"low_24h": {
"btc": 0.02717062,
"eth": 0.99799697,
"usd": 2068.79
},
"price_change_24h": -3.316519511214,
"price_change_percentage_24h": -0.15656,
"price_change_percentage_7d": -0.0669,
"price_change_percentage_14d": -9.45938,
"price_change_percentage_30d": -8.82256,
"price_change_percentage_60d": 1.63545,
"price_change_percentage_200d": -37.57849,
"price_change_percentage_1y": -14.56267,
"market_cap_change_24h": -12121742.79577,
"market_cap_change_percentage_24h": -0.25222,
"price_change_24h_in_currency": {
"btc": -0.000274386252168236,
"eth": -0.000212661454704888,
"usd": -3.3165195112137553
},
"price_change_percentage_1h_in_currency": {
"btc": -0.19183,
"eth": 0.00019,
"usd": -0.00865
},
"price_change_percentage_24h_in_currency": {
"btc": -0.99568,
"eth": -0.02127,
"usd": -0.15656
},
"price_change_percentage_7d_in_currency": {
"btc": -0.89914,
"eth": -0.05304,
"usd": -0.0669
},
"price_change_percentage_14d_in_currency": {
"btc": -5.49184,
"eth": -0.04201,
"usd": -9.45938
},
"price_change_percentage_30d_in_currency": {
"btc": -8.68383,
"eth": -0.02751,
"usd": -8.82256
},
"price_change_percentage_60d_in_currency": {
"btc": -8.8249,
"eth": 0.0505,
"usd": 1.63545
},
"price_change_percentage_200d_in_currency": {
"btc": -17.15793,
"eth": -0.10813,
"usd": -37.57849
},
"price_change_percentage_1y_in_currency": {
"btc": 18.09057,
"eth": 0.19761,
"usd": -14.56267
},
"market_cap_change_24h_in_currency": {
"btc": -635.7460114267669,
"eth": -986.7877555103041,
"usd": -12121742.795770645
},
"market_cap_change_percentage_24h_in_currency": {
"btc": -1.01713,
"eth": -0.0435,
"usd": -0.25222
},
"total_supply": 2267926.915444636,
"max_supply": null,
"max_supply_infinite": true,
"circulating_supply": 2267926.915444636,
"outstanding_supply": null,
"last_updated": "2026-05-25T10:09:02.821Z"
},
"status_updates": [],
"last_updated": "2026-05-25T10:09:02.821Z",
"tickers": [
{
"base": "WETH",
"target": "USDC",
"market": {
"name": "Native",
"identifier": "native",
"has_trading_incentive": false
},
"last": 2114.7318378964214,
"volume": 2999.739679821518,
"converted_last": {
"btc": 0.02728106,
"eth": 1.000065,
"usd": 2114.1
},
"converted_volume": {
"btc": 81.256,
"eth": 2979,
"usd": 6296774
},
"trust_score": null,
"bid_ask_spread_percentage": 0.04287,
"timestamp": "2026-05-25T10:04:42+00:00",
"last_traded_at": "2026-05-25T10:04:42+00:00",
"last_fetch_at": "2026-05-25T10:04:42+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://native.org/app/swap/",
"token_info_url": null,
"coin_id": "weth",
"target_coin_id": "usd-coin",
"coin_mcap_usd": 4793905265.563903
}
]
}按 Token 地址获取代币数据
按合约地址而非 CoinGecko id 查询的完整币种档案。
id 是资产所在链,contract_address 是代币地址;两者均为必填,且没有其他参数。返回结构与 get_coingecko_coins_id 相同——description、links、image、categories、platforms、detail_platforms、market_cap_rank、market_data 区块和内嵌的 tickers 数组——并额外包含 contract_address 本身。适合用于从地址识别未知代币。如果只需要当前价格,get_coingecko_simple_token_price_id 更轻量。
https://mcp.aisa.one/mcp —— Claude Code、
Codex、Cursor、VS Code 都可以。鉴权走 OAuth:客户端打开浏览器,你点一次
Allow,不需要粘贴任何 key。各客户端的具体命令和每次调用的价格见
aisa.one/zh-cn/mcp。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
响应
Coin data by token contract address
Coin ID
Coin symbol
Coin name
Coin web slug
Coin asset platform ID
Coin asset platform and contract address
Show child attributes
Show child attributes
Detailed coin asset platform and contract address
Show child attributes
Show child attributes
Blockchain block time in minutes
Blockchain hashing algorithm
Coin categories
Preview listing coin
Public notice
Additional notices
Whether detailed supply breakdown data is available via /coins/supply_breakdown
Coin description
Show child attributes
Show child attributes
链接
Show child attributes
Show child attributes
Coin image URL
Show child attributes
Show child attributes
Country of origin
Genesis date
Coin contract address
Sentiment votes up percentage
Sentiment votes down percentage
Number of users watching this coin in portfolio
Market cap rank
Market cap rank including rehypothecated tokens
Status updates
Show child attributes
Show child attributes
Last updated timestamp
Coin name localization
Show child attributes
Show child attributes
Market data
Show child attributes
Show child attributes
Tickers
Show child attributes
Show child attributes